// FullAccess
resource "azurerm_role_definition" "azure_migrate_fullaccess_definition" {
  name              = "azure-migrate-fullaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.Migrate/register/action",
      "Microsoft.Migrate/Operations/read",
      "Microsoft.Migrate/projects/read",
      "Microsoft.Migrate/projects/write",
      "Microsoft.Migrate/projects/delete",
      "Microsoft.Migrate/projects/keys/action",
      "Microsoft.Migrate/projects/machines/read",
      "Microsoft.Migrate/projects/groups/read",
      "Microsoft.Migrate/projects/groups/write",
      "Microsoft.Migrate/projects/groups/delete",
      "Microsoft.Migrate/projects/groups/assessments/read",
      "Microsoft.Migrate/projects/groups/assessments/write",
      "Microsoft.Migrate/projects/groups/assessments/delete",
      "Microsoft.Migrate/projects/groups/assessments/downloadurl/action",
      "Microsoft.Migrate/projects/groups/assessments/assessedmachines/read",
      "Microsoft.Migrate/locations/checknameavailability/action",
      "Microsoft.Migrate/locations/assessmentOptions/read",
      "Microsoft.Migrate/projects/assessments/read",
      "Microsoft.Migrate/migrateprojects/read",
      "Microsoft.Migrate/migrateprojects/write",
      "Microsoft.Migrate/migrateprojects/delete",
      "Microsoft.Migrate/migrateprojects/registerTool/action",
      "Microsoft.Migrate/migrateprojects/solutions/read",
      "Microsoft.Migrate/migrateprojects/solutions/write",
      "Microsoft.Migrate/migrateprojects/solutions/Delete",
      "Microsoft.Migrate/migrateprojects/solutions/getconfig/action",
      "Microsoft.Migrate/migrateprojects/solutions/cleanupData/action",
      "Microsoft.Migrate/migrateprojects/machines/read",
      "Microsoft.Migrate/migrateprojects/Databases/read",
      "Microsoft.Migrate/migrateprojects/DatabaseInstances/read",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/read",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/Delete",
      "Microsoft.Migrate/assessmentprojects/read",
      "Microsoft.Migrate/assessmentprojects/write",
      "Microsoft.Migrate/assessmentprojects/delete",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/read",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/write",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/delete",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/read",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/write",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/delete",
      "Microsoft.Migrate/assessmentprojects/machines/read",
      "Microsoft.Migrate/assessmentprojects/groups/read",
      "Microsoft.Migrate/assessmentprojects/groups/write",
      "Microsoft.Migrate/assessmentprojects/groups/delete",
      "Microsoft.Migrate/assessmentprojects/groups/updateMachines/action",
      "Microsoft.Migrate/assessmentprojects/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/write",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/delete",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/downloadurl/action",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/assessedmachines/read",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/Operations/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
    ]

    not_actions = []
  }
}

// ReadOnly
resource "azurerm_role_definition" "azure_migrate_readonly_definition" {
  name              = "azure-migrate-readonly-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.Migrate/Operations/read",
      "Microsoft.Migrate/projects/read",
      "Microsoft.Migrate/projects/machines/read",
      "Microsoft.Migrate/projects/groups/read",
      "Microsoft.Migrate/projects/groups/assessments/read",
      "Microsoft.Migrate/projects/groups/assessments/assessedmachines/read",
      "Microsoft.Migrate/locations/assessmentOptions/read",
      "Microsoft.Migrate/projects/assessments/read",
      "Microsoft.Migrate/migrateprojects/read",
      "Microsoft.Migrate/migrateprojects/solutions/read",
      "Microsoft.Migrate/migrateprojects/machines/read",
      "Microsoft.Migrate/migrateprojects/Databases/read",
      "Microsoft.Migrate/migrateprojects/DatabaseInstances/read",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/read",
      "Microsoft.Migrate/assessmentprojects/read",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/read",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/read",
      "Microsoft.Migrate/assessmentprojects/machines/read",
      "Microsoft.Migrate/assessmentprojects/groups/read",
      "Microsoft.Migrate/assessmentprojects/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/assessedmachines/read",
      "Microsoft.OffAzure/Operations/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
    ]

    not_actions = [
      "Microsoft.Migrate/register/action",
      "Microsoft.Migrate/projects/write",
      "Microsoft.Migrate/projects/delete",
      "Microsoft.Migrate/projects/keys/action",
      "Microsoft.Migrate/projects/groups/write",
      "Microsoft.Migrate/projects/groups/delete",
      "Microsoft.Migrate/projects/groups/assessments/write",
      "Microsoft.Migrate/projects/groups/assessments/delete",
      "Microsoft.Migrate/projects/groups/assessments/downloadurl/action",
      "Microsoft.Migrate/locations/checknameavailability/action",
      "Microsoft.Migrate/migrateprojects/write",
      "Microsoft.Migrate/migrateprojects/delete",
      "Microsoft.Migrate/migrateprojects/registerTool/action",
      "Microsoft.Migrate/migrateprojects/solutions/write",
      "Microsoft.Migrate/migrateprojects/solutions/Delete",
      "Microsoft.Migrate/migrateprojects/solutions/getconfig/action",
      "Microsoft.Migrate/migrateprojects/solutions/cleanupData/action",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/Delete",
      "Microsoft.Migrate/assessmentprojects/write",
      "Microsoft.Migrate/assessmentprojects/delete",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/write",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/delete",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/write",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/delete",
      "Microsoft.Migrate/assessmentprojects/groups/write",
      "Microsoft.Migrate/assessmentprojects/groups/delete",
      "Microsoft.Migrate/assessmentprojects/groups/updateMachines/action",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/write",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/delete",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/downloadurl/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
    ]
  }
}

// NoAccess
resource "azurerm_role_definition" "azure_migrate_noaccess_definition" {
  name              = "azure-migrate-noaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = []

    not_actions = [
      "Microsoft.Migrate/register/action",
      "Microsoft.Migrate/Operations/read",
      "Microsoft.Migrate/projects/read",
      "Microsoft.Migrate/projects/write",
      "Microsoft.Migrate/projects/delete",
      "Microsoft.Migrate/projects/keys/action",
      "Microsoft.Migrate/projects/machines/read",
      "Microsoft.Migrate/projects/groups/read",
      "Microsoft.Migrate/projects/groups/write",
      "Microsoft.Migrate/projects/groups/delete",
      "Microsoft.Migrate/projects/groups/assessments/read",
      "Microsoft.Migrate/projects/groups/assessments/write",
      "Microsoft.Migrate/projects/groups/assessments/delete",
      "Microsoft.Migrate/projects/groups/assessments/downloadurl/action",
      "Microsoft.Migrate/projects/groups/assessments/assessedmachines/read",
      "Microsoft.Migrate/locations/checknameavailability/action",
      "Microsoft.Migrate/locations/assessmentOptions/read",
      "Microsoft.Migrate/projects/assessments/read",
      "Microsoft.Migrate/migrateprojects/read",
      "Microsoft.Migrate/migrateprojects/write",
      "Microsoft.Migrate/migrateprojects/delete",
      "Microsoft.Migrate/migrateprojects/registerTool/action",
      "Microsoft.Migrate/migrateprojects/solutions/read",
      "Microsoft.Migrate/migrateprojects/solutions/write",
      "Microsoft.Migrate/migrateprojects/solutions/Delete",
      "Microsoft.Migrate/migrateprojects/solutions/getconfig/action",
      "Microsoft.Migrate/migrateprojects/solutions/cleanupData/action",
      "Microsoft.Migrate/migrateprojects/machines/read",
      "Microsoft.Migrate/migrateprojects/Databases/read",
      "Microsoft.Migrate/migrateprojects/DatabaseInstances/read",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/read",
      "Microsoft.Migrate/migrateprojects/MigrateEvents/Delete",
      "Microsoft.Migrate/assessmentprojects/read",
      "Microsoft.Migrate/assessmentprojects/write",
      "Microsoft.Migrate/assessmentprojects/delete",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/read",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/write",
      "Microsoft.Migrate/assessmentprojects/hypervcollectors/delete",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/read",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/write",
      "Microsoft.Migrate/assessmentprojects/vmwarecollectors/delete",
      "Microsoft.Migrate/assessmentprojects/machines/read",
      "Microsoft.Migrate/assessmentprojects/groups/read",
      "Microsoft.Migrate/assessmentprojects/groups/write",
      "Microsoft.Migrate/assessmentprojects/groups/delete",
      "Microsoft.Migrate/assessmentprojects/groups/updateMachines/action",
      "Microsoft.Migrate/assessmentprojects/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/read",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/write",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/delete",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/downloadurl/action",
      "Microsoft.Migrate/assessmentprojects/groups/assessments/assessedmachines/read",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/register/action",
      "Microsoft.OffAzure/Operations/read",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/read",
      "Microsoft.OffAzure/HyperVSites/write",
      "Microsoft.OffAzure/HyperVSites/delete",
      "Microsoft.OffAzure/HyperVSites/refresh/action",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/usage/read",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/hosts/read",
      "Microsoft.OffAzure/HyperVSites/hosts/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/clusters/read",
      "Microsoft.OffAzure/HyperVSites/clusters/write",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/jobs/read",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/machines/read",
      "Microsoft.OffAzure/HyperVSites/machines/stop/action",
      "Microsoft.OffAzure/HyperVSites/machines/start/action",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/runasaccounts/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/HyperVSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/read",
      "Microsoft.OffAzure/VMwareSites/write",
      "Microsoft.OffAzure/VMwareSites/delete",
      "Microsoft.OffAzure/VMwareSites/refresh/action",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/usage/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/vcenters/read",
      "Microsoft.OffAzure/VMwareSites/vcenters/write",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/jobs/read",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/machines/read",
      "Microsoft.OffAzure/VMwareSites/machines/stop/action",
      "Microsoft.OffAzure/VMwareSites/machines/start/action",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/runasaccounts/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
      "Microsoft.OffAzure/VMwareSites/operationsstatus/read",
    ]
  }
}
